/
Download all files
Download files generated by a campaign run.
Security
oauth2(Required scopes: borrowercampaign.run:read) or bearerAuth or apiKeyHeader
Specify which file should be downloaded from this campaign run. The requested files will be returned as a .zip file.
query_results.csv- A CSV formatted file of the query results received from Redashcampaign_input.json- A JSON formatted file of the parsed query results used as input to the campaigncontacts.csv- The exported contacts as CSV—i.e., the output.log.txt- A log of the campaign run process.
Default:"all"
Enum:"all""query_results.csv""campaign_input.json""contacts.csv""log.txt"
GET
- oauth2
- bearerAuth
- apiKeyHeader
curl -i -X GET \
'https://sandboxapi.peach.finance/api/campaigns/{borrowerCampaignId}/runs/{borrowerCampaignRunId}/download?file=all' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'